
#include mc30p011.inc

        org 0x0
        goto main
        
        
        org 0x10 
main:
        movai   0xaa
        movra   0x30
        clrr    DDR0
        clrr    DDR1

loop:
        incr    0x10
        movar   0x10
        movra    P0
        movra    P1
        addai  	 0xaa
        goto loop        

        end        